It's all about the answers!

Ask a question

2 versions of Installation Manager on the some host (windows)


Tarik Mlahi (177) | asked Dec 12 '13, 3:35 p.m.
 Is it possible to have 2 versions of IM (installation Manager) on the same machine please? I tried but didn't find a solution for that.
The reason is many hundreds of machines have IM 1.6.2 and can not upgrade easily to 1.6.3.
RTC 4.0.4 needs IM 1.6.3 or later.
Thanks for help.
Tarik

2 answers



permanent link
Mark Guertin (5867) | answered Dec 12 '13, 7:37 p.m.
FORUM ADMINISTRATOR
You cannot install 2 versions of IM on the same machine, unless they are installed in user mode, not admin mode. See: http://pic.dhe.ibm.com/infocenter/install/v1r7/topic/com.ibm.cic.agent.ui.doc/topics/c_admin_nonadmin_group.html

I'm unclear as to why upgrading IM from 1.6.2 to 1.6.3 is not easy. Instructions for upgrading IM can be found here: http://pic.dhe.ibm.com/infocenter/install/v1r7/topic/com.ibm.cic.agent.ui.doc/topics/r_install_im_overview.html. What are the particular issues you're finding when you try to upgrade IM?

permanent link
Tarik Mlahi (177) | answered Dec 13 '13, 10:47 a.m.

Thanks Mark.

The reason of keeping IM 1.62 is that ClearCase 7.1.2 is installed on many machines and doesn't support IM 1.63. ClearCase upgrade is not planned for the moment.

If RTC is selected, developers will continue to use both solutions during many months.

 

 


Comments
Mark Guertin commented Dec 13 '13, 11:25 a.m.
FORUM ADMINISTRATOR

Tarik,

IM is backwards compatible. This means that the required version of IM is a minimum version, not a maximum.

In other words, CC 7.1.2 requires at least IM 1.4.1 or higher. You can use CC 7.1.2 with IM 1.6.3 or newer without issue.

Your answer


Register or to post your answer.